Lucene search

K
openvasCopyright (C) 2018 Greenbone AGOPENVAS:1361412562310813036
HistoryMar 15, 2018 - 12:00 a.m.

Mozilla Firefox Security Advisories (MFSA2018-06, MFSA2018-07) - Mac OS X

2018-03-1500:00:00
Copyright (C) 2018 Greenbone AG
plugins.openvas.org
12

CVSS2

7.5

Attack Vector

NETWORK

Attack Complexity

LOW

Authentication

NONE

Confidentiality Impact

PARTIAL

Integrity Impact

PARTIAL

Availability Impact

PARTIAL

AV:N/AC:L/Au:N/C:P/I:P/A:P

CVSS3

9.8

Attack Vector

NETWORK

Attack Complexity

LOW

Privileges Required

NONE

User Interaction

NONE

Scope

UNCHANGED

Confidentiality Impact

HIGH

Integrity Impact

HIGH

Availability Impact

HIGH

CVSS:3.0/AV:N/AC:L/PR:N/UI:N/S:U/C:H/I:H/A:H

AI Score

7.5

Confidence

Low

EPSS

0.015

Percentile

86.8%

Mozilla Firefox is prone to multiple vulnerabilities.

# SPDX-FileCopyrightText: 2018 Greenbone AG
# Some text descriptions might be excerpted from (a) referenced
# source(s), and are Copyright (C) by the respective right holder(s).
#
# SPDX-License-Identifier: GPL-2.0-only

CPE = "cpe:/a:mozilla:firefox";

if(description)
{
  script_oid("1.3.6.1.4.1.25623.1.0.813036");
  script_version("2024-02-15T05:05:40+0000");
  script_cve_id("CVE-2018-5127", "CVE-2018-5128", "CVE-2018-5129", "CVE-2018-5130",
                "CVE-2018-5131", "CVE-2018-5132", "CVE-2018-5133", "CVE-2018-5134",
                "CVE-2018-5135", "CVE-2018-5136", "CVE-2018-5137", "CVE-2018-5140",
                "CVE-2018-5141", "CVE-2018-5142", "CVE-2018-5143", "CVE-2018-5126",
                "CVE-2018-5125");
  script_tag(name:"cvss_base", value:"7.5");
  script_tag(name:"cvss_base_vector", value:"AV:N/AC:L/Au:N/C:P/I:P/A:P");
  script_tag(name:"last_modification", value:"2024-02-15 05:05:40 +0000 (Thu, 15 Feb 2024)");
  script_tag(name:"severity_vector", value:"CVSS:3.0/AV:N/AC:L/PR:N/UI:N/S:U/C:H/I:H/A:H");
  script_tag(name:"severity_origin", value:"NVD");
  script_tag(name:"severity_date", value:"2018-08-06 17:58:00 +0000 (Mon, 06 Aug 2018)");
  script_tag(name:"creation_date", value:"2018-03-15 11:41:39 +0530 (Thu, 15 Mar 2018)");
  script_name("Mozilla Firefox Security Advisories (MFSA2018-06, MFSA2018-07) - Mac OS X");

  script_tag(name:"summary", value:"Mozilla Firefox is prone to multiple vulnerabilities.");

  script_tag(name:"vuldetect", value:"Checks if a vulnerable version is present on the target host.");

  script_tag(name:"insight", value:"Multiple flaws exist due to:

  - A buffer overflow error when manipulating SVG animatedPathSegList through script.

  - An use-after-free error during editor operations.

  - A lack of parameter validation on IPC messages.

  - A memory corruption error when packets with a mismatched RTP payload type are
    sent in WebRTC connections.

  - Fetch API improperly returns cached copies of no-store/no-cache resources.

  - The Find API for WebExtensions can search some privileged pages.

  - The value of the app.support.baseURL preference is not properly sanitized.

  - WebExtensions may use view-source: URLs to bypass content restrictions.

  - WebExtensions can bypass normal restrictions in some circumstances.

  - Same-origin policy violation with data: URL shared workers.

  - Script content can access legacy extension non-contentaccessible resources.

  - Moz-icon images accessible to web content through moz-icon: protocol.

  - A vulnerability in the notifications Push API.

  - Media Capture and Streams API permissions display incorrect origin with data: and blob: URLs.

  - Self-XSS pasting javascript: URL with embedded tab into addressbar.

  - Memory safety bugs fixed in Firefox 59.");

  script_tag(name:"impact", value:"Successful exploitation will allow remote
  attackers to conduct cross-site scripting (XSS) attacks, crash the affected
  system, conduct sandbox escape, access sensitive data and bypass security
  restrictions.");

  script_tag(name:"affected", value:"Mozilla Firefox version before 59 on Mac OS X.");

  script_tag(name:"solution", value:"Upgrade to Mozilla Firefox version 59
  or later.");

  script_tag(name:"solution_type", value:"VendorFix");
  script_tag(name:"qod_type", value:"executable_version");
  script_xref(name:"URL", value:"https://www.mozilla.org/en-US/security/advisories/mfsa2018-06");
  script_category(ACT_GATHER_INFO);
  script_copyright("Copyright (C) 2018 Greenbone AG");
  script_family("General");
  script_dependencies("gb_mozilla_prdts_detect_macosx.nasl");
  script_mandatory_keys("Mozilla/Firefox/MacOSX/Version");

  exit(0);
}

include("host_details.inc");
include("version_func.inc");

if(!infos = get_app_version_and_location(cpe:CPE, exit_no_version:TRUE)) exit(0);
ffVer = infos['version'];
ffPath = infos['location'];

if(version_is_less(version:ffVer, test_version:"59"))
{
  report = report_fixed_ver(installed_version:ffVer, fixed_version:"59", install_path:ffPath);
  security_message(data:report);
  exit(0);
}

exit(99);

CVSS2

7.5

Attack Vector

NETWORK

Attack Complexity

LOW

Authentication

NONE

Confidentiality Impact

PARTIAL

Integrity Impact

PARTIAL

Availability Impact

PARTIAL

AV:N/AC:L/Au:N/C:P/I:P/A:P

CVSS3

9.8

Attack Vector

NETWORK

Attack Complexity

LOW

Privileges Required

NONE

User Interaction

NONE

Scope

UNCHANGED

Confidentiality Impact

HIGH

Integrity Impact

HIGH

Availability Impact

HIGH

CVSS:3.0/AV:N/AC:L/PR:N/UI:N/S:U/C:H/I:H/A:H

AI Score

7.5

Confidence

Low

EPSS

0.015

Percentile

86.8%